InvalidModelRuleDeclarationException (Gradle API 9.6.0)
Description: declaration: package: org.gradle.model, class: InvalidModelRuleDeclarationException

Package org.gradle.model

# Class InvalidModelRuleDeclarationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.model.InvalidModelRuleDeclarationException

All Implemented Interfaces:
  `Serializable`

@Incubating public class InvalidModelRuleDeclarationException extends GradleException
Thrown when a model rule, or source of model rules, is declared in an invalid way.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidModelRuleDeclarationException(String message)`
  `InvalidModelRuleDeclarationException(String message, Throwable cause)`
  `InvalidModelRuleDeclarationException(org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor descriptor, String message)`
  `InvalidModelRuleDeclarationException(org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor descriptor, Throwable cause)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidModelRuleDeclarationException

    public InvalidModelRuleDeclarationException(String message)

  - ### InvalidModelRuleDeclarationException

    public InvalidModelRuleDeclarationException(String message, Throwable cause)

  - ### InvalidModelRuleDeclarationException

    public InvalidModelRuleDeclarationException(org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor descriptor, Throwable cause)

  - ### InvalidModelRuleDeclarationException

    public InvalidModelRuleDeclarationException(org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor descriptor, String message)